org.apache.commons.compress.harmony.unpack200

## Class Pack200UnpackerAdapter

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.Pack200Adapter
  - - org.apache.commons.compress.harmony.unpack200.Pack200UnpackerAdapter

- All Implemented Interfaces:
    Pack200.Unpacker

      public class Pack200UnpackerAdapter
      extends Pack200Adapter
      implements Pack200.Unpacker

  This class provides the binding between the standard Pack200 interface and the internal interface for (un)packing. As this uses generics for the SortedMap, this class must be compiled and run on a Java 1.5 system. However, Java 1.5 is not necessary to use the internal libraries for unpacking.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.pack200.Pack200Adapter

      `DEFAULT_BUFFER_SIZE`

    - ### Fields inherited from interface org.apache.commons.compress.java.util.jar.Pack200.Unpacker

      `DEFLATE_HINT, FALSE, KEEP, PROGRESS, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pack200UnpackerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `unpack(File file, JarOutputStream out)` Unpack the contents of the specified `File` to the specified JAR output stream.
    `void` | `unpack(InputStream in, JarOutputStream out)` Unpack the specified stream to the specified JAR output stream.

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.Pack200Adapter

      `addPropertyChangeListener, completed, firePropertyChange, properties, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.compress.java.util.jar.Pack200.Unpacker

      `addPropertyChangeListener, properties, removePropertyChangeListener`

- - ### Constructor Detail

    - #### Pack200UnpackerAdapter

          public Pack200UnpackerAdapter()

  - ### Method Detail

    - #### unpack

          public void unpack(File file,
                             JarOutputStream out)
                      throws IOException

      Description copied from interface: `Pack200.Unpacker`
      Unpack the contents of the specified `File` to the specified JAR output stream.
      Specified by:
        `unpack` in interface `Pack200.Unpacker`
      Parameters:
        `file` - file to be uncompressed.
        `out` - JAR output stream of uncompressed data.
      Throws:
        `IOException` - if I/O exception occurs.

    - #### unpack

          public void unpack(InputStream in,
                             JarOutputStream out)
                      throws IOException

      Description copied from interface: `Pack200.Unpacker`
      Unpack the specified stream to the specified JAR output stream.
      Specified by:
        `unpack` in interface `Pack200.Unpacker`
      Parameters:
        `in` - stream to uncompressed.
        `out` - JAR output stream of uncompressed data.
      Throws:
        `IOException` - if I/O exception occurs.

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.